/**
 * 
 */


package gov.va.med.cds.integration;


import org.dom4j.Document;


/**
 * @author barryegbert
 *
 */
public interface RequestCreatorInterface
{
    String getCreateRequest( );


    String getDeleteRequest( );


    String getReadFilter( );


    String getCreateTemplateId( );


    String getReadTemplateId( );


    String getDeleteTemplateId( );


    Document getClinicalData( );
}
